foreach name [array names env STOOOP*] {unset env($name)}                                ;# reset any existing environment variables
set env(STOOOPCHECKOBJECTS) {}
source stooop.tcl
namespace import stooop::*

### objects checking with missing and extra objects

# expected output:
## stooop::record invoked from main script
## stooop::report invoked from main script:
## + ::a(1) created in main script
## stooop::record invoked from main script
## stooop::report invoked from main script:
## - ::a(1) created in main script

class a {
    proc a {this} {}
    proc ~a {this} {}
}
stooop::record
set o [new a]
stooop::report
stooop::record
delete $o
stooop::report
